package org.shunt.contorller.request;

import java.io.Serializable;

import javax.validation.Valid;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
/** 
* @ClassName: XmoseRequest 
* @Description: 请求协议包装基类 
* @author caogang
* @date 2021年5月19日 上午9:54:50 
* 
* @param <T> 
*/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("协议请求体")
public class XmoseRequest<T> implements Serializable {
	private static final long serialVersionUID = -692195163465409100L;

	@ApiModelProperty(value = "请求requestUid,时间戳")
	private String requestUid;
	
	@ApiModelProperty(value = "请求体")
	@Valid
	private T data;
}
